MediaWiki:Navbox.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
 
Line 34: Line 34:
     line-height: 1.5em;
     line-height: 1.5em;
     border-color: var(--theme-page-background-color);
     border-color: var(--theme-page-background-color);
}
.navbox .navbox-list ul {
margin-left: 0 !important;
}
}


Line 246: Line 250:
/* Portable Navbox */
/* Portable Navbox */
.pi-theme-navbox {
.pi-theme-navbox {
  --pi-secondary-background: var(--theme-link-color);
--pi-secondary-background: var(--theme-link-color);
  --pi-secondary-background--label: var(--theme-body-text-color);
--pi-secondary-background--label: var(--theme-body-text-color);
  --pi-border-color:#0000;
--pi-border-color:#0000;
  padding: 0 3px;
padding: 0 3px;
}
}
.pi-theme-navbox .pi-data {
.pi-theme-navbox .pi-data {
  padding:0;
padding:0;
}
}
.portable-infobox.pi-theme-navbox .pi-item {
.portable-infobox.pi-theme-navbox .pi-item {
  border:0;
border:0;
  margin: 3px 0;
margin: 3px 0;
  grid-column-gap: 3px;
grid-column-gap: 3px;
}
}
.portable-infobox.pi-theme-navbox :is(.pi-data-label,.pi-data-value) {
.portable-infobox.pi-theme-navbox :is(.pi-data-label,.pi-data-value) {
  line-height: 1.5em;
line-height: 1.5em;
  font-size: .7em;
font-size: .7em;
  padding: 0.25em 1em;
padding: 0.25em 1em;
}
}
.portable-infobox.pi-theme-navbox .pi-data-label {
.portable-infobox.pi-theme-navbox .pi-data-label {
  display: flex;
display: flex;
  align-items: center;
align-items: center;
  justify-content: flex-start; /* Align Left cuz read words LTR, skim left side charaters first */
justify-content: flex-start; /* Align Left cuz read words LTR, skim left side charaters first */
  flex-basis:200px;
flex-basis: 200px;
  background-color: var(--custom-tertiary-color);
background-color: var(--custom-tertiary-color);
  color: var(--custom-tertiary-color-text);
color: var(--custom-tertiary-color-text);
}
}
.portable-infobox.pi-theme-navbox .pi-data-value {
.portable-infobox.pi-theme-navbox .pi-data-value {
  flex-basis:100%;
flex-basis:100%;
}
}
.portable-infobox.pi-theme-navbox .pi-data:nth-child(odd) .pi-data-value {
.portable-infobox.pi-theme-navbox .pi-data:nth-child(odd) .pi-data-value {
  background-color: var(--theme-page-background-color--secondary);
background-color: var(--theme-page-background-color--secondary);
}
}


/* For Template:Characters_Navbox */
/* For [[Template:Character Navbox]] (which doesn't exist btw) */
.navbox-list-top > div > div {
.navbox-list-top > div > div {
     display: flex;
     display: flex;
Line 297: Line 301:
     width: 45px;
     width: 45px;
     height: 45px;
     height: 45px;
     background-image: url(https://static.wikia.nocookie.net/honkai-nexus-anima/images/d/dd/Unknown.png/revision/latest/scale-to-width-down/45);  
     background-image: url("https://hna.wiki/images/Unknown.png");  
     background-size: cover;
     background-size: cover;
     vertical-align: middle;
     vertical-align: middle;